/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'dart:ui';

import 'package:cloud_firestore/cloud_firestore.dart';

class ActivityFigureModel {
  ActivityFigureModel({required this.id, required this.order, required this.name, 
    required this.version, required this.team,
    required this.activityId, required this.figureId, required this.attendees});

  final String id;
  final int order;
  final String name;
  final String version;
  final String team;
  final String activityId;
  final String figureId;
  final Map<String,dynamic> attendees;

  Map<String,dynamic> toMap(){
    Map<String,dynamic> data={
      'order': order,
      'name': name,
      'version': version,
      'team': team,
      'activityid': activityId,
      'figureid': figureId,
      'attendees': attendees
    };
    return data;
  }

  factory ActivityFigureModel.fromDocument(DocumentSnapshot doc){
    String docId = "";
    int docOrder = 0;
    String docName ="";
    String docVersion = "";
    String docTeam = "";
    String docActivityId = "";
    String docFigureId = "";
    Map<String,dynamic> docAttendees = Map<String,dynamic>();
 
    try {
      docId = doc.id;
    } catch (e) {
      print("Error (ActivityFigureModel.Id): "+e.toString());
    }
    try {
      docOrder = doc.get("order");
    } catch (e) {
      print("Error (ActivityFigureModel.Order): "+e.toString());
    }
    try {
      docName = doc.get("name");
    } catch (e) {
      print("Error (ActivityFigureModel.Name): "+e.toString());
    }
    try {
      docVersion = doc.get("version");
    } catch (e) {
      print("Error (ActivityFigureModel.Version): "+e.toString());
    }
    try {
      docTeam = doc.get("team");
    } catch (e) {
      print("Error (ActivityFigureModel.Team): "+e.toString());
    }
    try {
      docActivityId = doc.get("activityid");
    } catch (e) {
      print("Error (ActivityFigureModel.ActivityId): "+e.toString());
    }
    try {
      docFigureId = doc.get("figureid");
    } catch (e) {
      print("Error (ActivityFigureModel.FigureId): "+e.toString());
    }
    try {
      docAttendees = doc.get("attendees");
    } catch (e) {
      print("Error (ActivityFigureModel.Attendees): "+e.toString());
    }

    return ActivityFigureModel(
        id: docId,
        order: docOrder,
        name: docName,
        version: docVersion,
        team: docTeam,
        activityId: docActivityId,
        figureId: docFigureId,
        attendees: docAttendees,
    );
  }

  @override
  int get hashCode => hashValues(id, order, name, version, team, activityId, figureId, attendees);

  @override
  bool operator ==(dynamic other) {
    if (identical(this, other)) return true;
    if (runtimeType != other.runtimeType) return false;
    final ActivityFigureModel otherActivityFigureModel = other;
    return id == otherActivityFigureModel.id &&
        order == otherActivityFigureModel.order &&
        name == otherActivityFigureModel.name &&
        version == otherActivityFigureModel.version &&
        team == otherActivityFigureModel.team &&
        activityId == otherActivityFigureModel.activityId &&
        figureId == otherActivityFigureModel.figureId &&
        attendees == otherActivityFigureModel.attendees;
  }

  @override
  String toString() => 'id: $id, order: $order, name: $name, version: $version, team: $team, activityId: $activityId, figureId: $figureId, attendees: $attendees';
}