/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'dart:ui';

import 'package:cloud_firestore/cloud_firestore.dart';

class AttendeeModel {

  AttendeeModel({required this.id, required this.userId, required this.activityId, required this.value, required this.nickName, required this.usedIn});
  final String id;
  final String userId;
  final String activityId;
  final int value;
  final String nickName;
  final int usedIn;

  factory AttendeeModel.fromDocument(DocumentSnapshot doc){
    String docId = "";
    String docUserId ="";
    String docActivityId = "";
    int docValue=0;
    String docNickName="";
    int docUsedIn=0;

    try {
      docId = doc.id;
    } catch (e) {
      print("Error (AttendeeModel.Id): "+e.toString());
    }

    try {
      docUserId = doc.get("userid");
    } catch (e) {
      print("Error (AttendeeModel.UserId): "+e.toString());
    }
    try {
      docActivityId = doc.get("activityid");
    } catch (e) {
      print("Error (AttendeeModel.ActivityId): "+e.toString());
    }
    try {
      docValue = doc.get("value");
    } catch (e) {
      print("Error (AttendeeModel.Value): "+e.toString());
    }
    try {
      docNickName = doc.get("nickname");
    } catch (e) {
      print("Error (AttendeeModel.NickName): "+e.toString());
    }
    try {
      docUsedIn = doc.get("usedin");
    } catch (e) {
      print("Error (AttendeeModel.UsedIn): "+e.toString());
    }



    return AttendeeModel(
      id: docId,
      userId: docUserId,
      activityId: docActivityId,
      value: docValue,
      nickName: docNickName,
      usedIn: docUsedIn,
    );
  }

  Map<String,dynamic> toMap(){
    Map<String,dynamic> data={
      'userid': userId,
      'activityid': activityId,
      'value': value,
      'nickname': nickName,
      'usedin': usedIn,
    };
    return data;
  }

  @override
  int get hashCode => hashValues(id, userId, activityId, value, nickName, usedIn);

  @override
  bool operator ==(dynamic other) {
    if (identical(this, other)) return true;
    if (runtimeType != other.runtimeType) return false;
    final AttendeeModel otherAttendeeModel = other;
    return id == otherAttendeeModel.id &&
        userId == otherAttendeeModel.userId &&
        activityId == otherAttendeeModel.activityId &&
        value == otherAttendeeModel.value &&
        nickName == otherAttendeeModel.nickName &&
        usedIn == otherAttendeeModel.usedIn;
  }

  @override
  String toString() => 'id: $id, userId: $userId, activityId: $activityId, value: $value, nickName: $nickName, usedIn: $usedIn';
}