/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'dart:ui';

import 'package:cloud_firestore/cloud_firestore.dart';

class ProfileModel {
  ProfileModel({required this.id, required this.firstName, required this.lastName, required this.nickName, required this.mobilePhone, required this.email, required this.isManager, required this.isTrainer, required this.bio});
  final String id;
  final String firstName;
  final String lastName;
  final String nickName;
  final String mobilePhone;
  final String email;
  final bool isManager;
  final bool isTrainer;
  final String bio;

  Map<String,dynamic> toMap(){
    Map<String,dynamic> data={
      'firstname': firstName,
      'lastname': lastName,
      'nickname': nickName,
      'mobilephone': mobilePhone,
      'email': email,
      'ismanager': isManager,
      'istrainer': isTrainer,
      'bio': bio,
    };
    return data;
  }

  factory ProfileModel.fromDocument(DocumentSnapshot doc){
    String docId = "";
    String docFirstName ="";
    String docLastName = "";
    String docNickName = "";
    String docMobilePhone = "";
    String docEmail = "";
    bool docIsManager = false;
    bool docIsTrainer = false;
    String docBio = "";

    try {
      docId = doc.id;
    } catch (e) {
      print("Error (ProfileModel.Id): "+e.toString());
    }
    try {
      docFirstName = doc.get("firstname");
    } catch (e) {
      print("Error (ProfileModel.FirstName): "+e.toString());
    }
    try {
      docLastName = doc.get("lastname");
    } catch (e) {
      print("Error (ProfileModel.LastName): "+e.toString());
    }
    try {
      docNickName = doc.get("nickname");
    } catch (e) {
      print("Error (ProfileModel.NickName): "+e.toString());
    }
    try {
      docMobilePhone = doc.get("mobilephone");
    } catch (e) {
      print("Error (ProfileModel.MobilePhone): "+e.toString());
    }
    try {
      docEmail = doc.get("email");
    } catch (e) {
      print("Error (ProfileModel.Email): "+e.toString());
    }
    try {
      docIsManager = doc.get("ismanager");
    } catch (e) {
      print("Error (ProfileModel.IsManager): "+e.toString());
    }
    try {
      docIsTrainer = doc.get("istrainer");
    } catch (e) {
      print("Error (ProfileModel.IsTrainer): "+e.toString());
    }
    try {
      docBio = doc.get("bio");
    } catch (e) {
      print("Error (ProfileModel.Bio): "+e.toString());
    }


    return ProfileModel(
      id: docId,
      firstName: docFirstName,
      lastName: docLastName,
      nickName: docNickName,
      mobilePhone: docMobilePhone,
      email: docEmail,
      isManager: docIsManager,
      isTrainer: docIsTrainer,
      bio: docBio,
    );
  }

  @override
  int get hashCode => hashValues(id, firstName, lastName, nickName, mobilePhone, email, isManager, isTrainer);

  @override
  bool operator ==(dynamic other) {
    if (identical(this, other)) return true;
    if (runtimeType != other.runtimeType) return false;
    final ProfileModel otherProfileModel = other;
    return id == otherProfileModel.id &&
        firstName == otherProfileModel.firstName &&
        lastName == otherProfileModel.lastName &&
        nickName == otherProfileModel.nickName &&
        mobilePhone == otherProfileModel.mobilePhone &&
        email == otherProfileModel.email &&
        isManager == otherProfileModel.isManager &&
        isTrainer == otherProfileModel.isTrainer &&
        bio == otherProfileModel.bio;
  }

  @override
  String toString() => 'id: $id, firstName: $firstName, lastName: $lastName, nickName: $nickName, mobilePhone: $mobilePhone, email: $email, isManager: $isManager, isTrainer: $isTrainer, bio: $bio';
}