/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:muixapp/src/models/activity_model.dart';
import 'package:cloud_firestore/cloud_firestore.dart';

class ActivitiesProvider {
  final FirebaseFirestore firebaseFirestore;

  ActivitiesProvider({required this.firebaseFirestore});

  Future<DocumentSnapshot> getActivity(String activityId) async{
    return await firebaseFirestore.collection('activities').doc(activityId).get();
  }

  Stream<QuerySnapshot> getActivitiesStream() {
    return firebaseFirestore
        .collection('activities')
        .orderBy("datetime", descending: true)
        .snapshots();
  }

  Future<bool> addActivity(ActivityModel activity) async {
    firebaseFirestore.collection('users').doc(activity.id).set(activity.toMap());
    return true;
  }

/*
  Stream<QuerySnapshot> getStreamFireStore(String pathCollection, int limit, String? textSearch) {
    if (textSearch?.isNotEmpty == true) {
      return firebaseFirestore
          .collection(pathCollection)
          .limit(limit)
          .where(FirestoreConstants.nickname, isEqualTo: textSearch)
          .snapshots();
    } else {
      return firebaseFirestore.collection(pathCollection).limit(limit).snapshots();
    }
  }
*/
}