/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:cloud_firestore/cloud_firestore.dart';

class FiguresProvider {
  final FirebaseFirestore firebaseFirestore;

  FiguresProvider({required this.firebaseFirestore});

  Future<DocumentSnapshot> getFigure(String figureId) async{
    return await firebaseFirestore.collection('figures').doc(figureId).get();
  }

  Stream<QuerySnapshot> getFiguresStream() {
    return firebaseFirestore
        .collection('figures')
        .orderBy("name")
        .snapshots();
  }
}
