/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:cloud_firestore/cloud_firestore.dart';

class NotificationsProvider {
  int _counter=0;

  int countActiveNotifications(){
    firebaseFirestore
        .collection('notifications')
        .where('datetime', isGreaterThanOrEqualTo: DateTime.now())
        .orderBy("datetime", descending: true).get().then((value) => _counter=value.size);

    return _counter;
  }

  final FirebaseFirestore firebaseFirestore;

  NotificationsProvider({required this.firebaseFirestore});

  Stream<QuerySnapshot> getNotificationsStream() {
    return firebaseFirestore
        .collection('notifications')
        .orderBy("datetime", descending: true)
        .snapshots();
  }

  Stream<QuerySnapshot> getActiveNotificationsStream() {
    return firebaseFirestore
        .collection('notifications')
        .where('datetime', isGreaterThanOrEqualTo: DateTime.now())
        .orderBy("datetime", descending: true)
        .snapshots();
  }

}