/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:shared_preferences/shared_preferences.dart';

class PreferencesProvider {
  final SharedPreferences preferences;

  PreferencesProvider({required this.preferences});

  String? getKeyStringValue(String key) {
    if (preferences.containsKey(key))
      return preferences.getString(key);
    else
      return null;
  }

  bool? getKeyBoolValue(String key) {
    if (preferences.containsKey(key))
      return preferences.getBool(key);
    else
      return null;
  }

  Future<bool> removeKey(String key) async {
   return await preferences.remove(key);
  }

  Future<bool> removeAllKeys() async {
    return await preferences.clear();
  }

  Future<bool> setKeyStringValue(String key, String value) async {
    return await preferences.setString(key, value);
  }

  Future<bool> setKeyBoolValue(String key, bool value) async {
    return await preferences.setBool(key, value);
  }

}