/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:muixapp/src/models/profile_model.dart';
import 'package:cloud_firestore/cloud_firestore.dart';

class ProfilesProvider {

  final FirebaseFirestore firebaseFirestore;

  ProfilesProvider({required this.firebaseFirestore});

  Stream<QuerySnapshot> getProfilesStream() {
    return firebaseFirestore
        .collection('users')
        .orderBy("lastname")
        .orderBy("firstname")
        .snapshots();
  }

  Future<DocumentSnapshot> getProfile(String profileId) async{
    return await firebaseFirestore.collection('users').doc(profileId).get();
  }

  Future<bool> addProfile(ProfileModel profile) async {
    firebaseFirestore.collection('users').doc(profile.id).set(profile.toMap());
    return true;
  }
}