/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:flutter/material.dart';
import 'package:muixapp/src/ui/resources/app_icons.dart';
import 'package:muixapp/src/ui/resources/resources.dart';

class AttendanceEmotion extends StatefulWidget {
  final int emotion;
  const AttendanceEmotion({required this.emotion,Key? key}) : super(key: key);

  @override
  _AttendanceEmotionState createState() => _AttendanceEmotionState(emotion: this.emotion);
}

class _AttendanceEmotionState extends State<AttendanceEmotion> {
  _AttendanceEmotionState({required this.emotion});
  final int emotion;

  @override
  Widget build(BuildContext context) {

    Future.delayed(const Duration(seconds: 2), (){
      Navigator.pop(context);
    });

    if (emotion==AppConstants.notAttendingActivity)
        return Container(
          color: AppColours.white,
          child: AppIcons.notAttendingEmotion,
        );

    if (emotion==AppConstants.maybeAttendingActivity)
        return Container(
          color: AppColours.white,
          child: AppIcons.maybeAttendingEmotion,
        );

    if (emotion==AppConstants.attendingActivity)
        return Container(
          color: AppColours.white,
          child: AppIcons.attendingEmotion,
        );

    return Container();
  }
}
