/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:flutter/material.dart';
import 'package:material_design_icons_flutter/material_design_icons_flutter.dart';
import 'package:muixapp/src/ui/resources/app_colours.dart';

class AppIcons {
  // main navigation

  static final Icon mainNavigationActivities = Icon(MdiIcons.calendar);
  static final Icon mainNavigationPeople = Icon(MdiIcons.accountGroup);
  static final Icon mainNavigationFigures = Icon(MdiIcons.school);
  static final Icon mainNavigationMessages = Icon(MdiIcons.email);
  static final Icon mainNavigationProfile = Icon(MdiIcons.account);

  // activity types

  static final Container trainingActivity = Container(
    color: AppColours.purple,
    padding: EdgeInsets.all(14.0),
    child: Icon(MdiIcons.wrench, size: 42, color: AppColours.white),
    margin: EdgeInsets.symmetric(horizontal: 10.0, vertical: 5.0),
  );
  static final Container showActivity = Container(
    color: AppColours.blue,
    padding: EdgeInsets.all(14.0),
    child: Icon(MdiIcons.bus, size: 42, color: AppColours.white),
    margin: EdgeInsets.symmetric(horizontal: 10.0, vertical: 5.0),
  );
  static final Container educationalActivity = Container(
    color: AppColours.green,
    padding: EdgeInsets.all(14.0),
    child: Icon(MdiIcons.school, size: 42, color: AppColours.white),
    margin: EdgeInsets.symmetric(horizontal: 10.0, vertical: 5.0),
  );
  static final Container socialActivity = Container(
    color: AppColours.orange,
    padding: EdgeInsets.all(14.0),
    child: Icon(MdiIcons.accountMultiple, size: 42, color: AppColours.white),
    margin: EdgeInsets.symmetric(horizontal: 10.0, vertical: 5.0),
  );

  static final Container trainingActivityMini = Container(
    color: AppColours.purple,
    padding: EdgeInsets.all(5),
    child: Icon(MdiIcons.wrench, size: 14, color: AppColours.white),
    margin: EdgeInsets.symmetric(horizontal: 10.0, vertical: 5.0),
  );
  static final Container showActivityMini = Container(
    color: AppColours.blue,
    padding: EdgeInsets.all(5),
    child: Icon(MdiIcons.bus, size: 14, color: AppColours.white),
    margin: EdgeInsets.symmetric(horizontal: 10.0, vertical: 5.0),
  );
  static final Container educationalActivityMini = Container(
    color: AppColours.green,
    padding: EdgeInsets.all(5),
    child: Icon(MdiIcons.school, size: 14, color: AppColours.white),
    margin: EdgeInsets.symmetric(horizontal: 10.0, vertical: 5.0),
  );
  static final Container socialActivityMini = Container(
    color: AppColours.orange,
    padding: EdgeInsets.all(5),
    child: Icon(MdiIcons.accountMultiple, size: 14, color: AppColours.white),
    margin: EdgeInsets.symmetric(horizontal: 10.0, vertical: 5.0),
  );

  // attendance icons

  static final Container standardUserAttendance = Container(
    color: AppColours.blue,
    padding: EdgeInsets.all(10.0),
    child: Icon(MdiIcons.account, size: 28, color: AppColours.white),
    margin: EdgeInsets.fromLTRB(0, 0, 15, 0),
  );
  static final Container nonStandardUserAttendance = Container(
    color: AppColours.purple,
    padding: EdgeInsets.all(10.0),
    child: Icon(MdiIcons.account, size: 28, color: AppColours.white),
    margin: EdgeInsets.fromLTRB(0, 0, 15, 0),
  );

  static final Center attendingEmotion = Center(
    child: Icon(MdiIcons.emoticon, size: 240, color: AppColours.blue),
  );
  static final Center maybeAttendingEmotion = Center(
    child: Icon(MdiIcons.faceMan, size: 240, color: AppColours.blue),
  );
  static final Center notAttendingEmotion = Center(
    child: Icon(MdiIcons.emoticonFrown, size: 240, color: AppColours.blue),
  );

  static final Icon attendingUserAttendanceIcon =
      Icon(MdiIcons.emoticonOutline, size: 24, color: AppColours.blue);
  static final Icon maybeAttendingUserAttendanceIcon =
      Icon(MdiIcons.faceMan, size: 24, color: AppColours.gray);
  static final Icon notAttendingUserAttendanceIcon =
      Icon(MdiIcons.emoticonFrownOutline, size: 24, color: AppColours.red);

  // other activity icons

  static final Icon activityMap = Icon(
    MdiIcons.mapMarker,
    color: AppColours.gray,
  );
  static final Container activityFigure = Container(
    color: AppColours.blue,
    padding: EdgeInsets.all(11.0),
    child: Icon(MdiIcons.image, size: 48, color: AppColours.white),
    margin: EdgeInsets.fromLTRB(0, 0, 15, 0),
  );
  static final Icon activityFigureAssignPeopleAdd = Icon(MdiIcons.accountPlus);
  static final Icon activityFigureAssignPeopleRemove =
      Icon(MdiIcons.accountMinus);
  // note: tweaked as the icon was smaller and wrongly aligned
  static final Container activityFigureAssignPeopleView = Container(
      margin: EdgeInsets.fromLTRB(0, 2, 0, 0),
      child: Icon(
        MdiIcons.accountMultiple,
        size: 25,
      ));

  // notification icons

  static final Container informativeNotification = Container(
    color: AppColours.red,
    padding: EdgeInsets.all(14.0),
    child: Icon(MdiIcons.information, size: 42, color: AppColours.white),
    margin: EdgeInsets.symmetric(horizontal: 10.0, vertical: 5.0),
  );
  static final Icon notificationsBell = Icon(MdiIcons.bell);

  // profile page icons

  static final Container profileStandardMember = Container(
    color: AppColours.blue,
    padding: EdgeInsets.all(14.0),
    child: Icon(MdiIcons.account, size: 42, color: AppColours.white),
    margin: EdgeInsets.fromLTRB(0, 5, 10, 0),
  );
  static final Container profileManager = Container(
    color: AppColours.purple,
    padding: EdgeInsets.all(14.0),
    child: Icon(MdiIcons.account, size: 42, color: AppColours.white),
    margin: EdgeInsets.fromLTRB(0, 5, 10, 0),
  );

  // figure page icons

  static final Icon figureInfo = Icon(MdiIcons.informationOutline, size: 110, color: AppColours.white);
  static final Icon figureDiagram = Icon(MdiIcons.dotsTriangle, size: 110, color: AppColours.white);
  static final Icon figurePicture = Icon(MdiIcons.image, size: 110, color: AppColours.white);
  static final Icon figureVideo = Icon(MdiIcons.playCircle, size: 110, color: AppColours.white);

  // misc icons

  static final Icon goToPageIcon = Icon(MdiIcons.chevronRight);
  static final Icon optionsMenuIcon = Icon(MdiIcons.dotsVertical);
  static final Icon checkIcon = Icon(MdiIcons.check);
  static final Icon plusIcon = Icon(MdiIcons.plus);
}
