/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:flutter/material.dart';
import 'package:muixapp/src/ui/resources/app_colours.dart';

class AppStyles {

  // app

  static const TextStyle appTitleTextStyle =
  TextStyle(fontSize: 28, fontWeight: FontWeight.bold, color: AppColours.blue);

  // Common UI

  static const TextStyle appPageBarLeadingLabelStyle =
  TextStyle(fontSize: 18, fontWeight: FontWeight.bold, color: AppColours.gray);
  static const TextStyle standardTextStyle =
  TextStyle(fontWeight: FontWeight.normal, fontSize: 16, color: AppColours.black);
  static const TextStyle standardUnderlinedTextStyle =
  TextStyle(decoration: TextDecoration.underline, fontWeight: FontWeight.normal, fontSize: 16, color: AppColours.black);

  // main navigation

  static const TextStyle navigationSelectedLabelStyle =
  TextStyle(fontSize: 12, fontWeight: FontWeight.normal);
  static const TextStyle navigationUnselectedLabelStyle =
  TextStyle(fontSize: 12, fontWeight: FontWeight.normal);

  // Activities

  static const TextStyle activityListTileTypeTrainingStyle =
  TextStyle(fontSize: 14, fontWeight: FontWeight.bold, color: AppColours.purple);
  static const TextStyle activityListTileTypeShowStyle =
  TextStyle(fontSize: 14, fontWeight: FontWeight.bold, color: AppColours.blue);
  static const TextStyle activityListTileTypeEducationalStyle =
  TextStyle(fontSize: 14, fontWeight: FontWeight.bold, color: AppColours.green);
  static const TextStyle activityListTileTypeSocialStyle =
  TextStyle(fontSize: 14, fontWeight: FontWeight.bold, color: AppColours.orange);
  static const TextStyle activityListTileDateTimeStyle =
  TextStyle(fontSize: 14, fontWeight: FontWeight.normal, color: AppColours.gray);
  static const TextStyle userAttendanceSelectedButtonTextStyle =
  TextStyle(fontWeight: FontWeight.bold, color: AppColours.white);
  static const TextStyle userAttendanceStandardButtonTextStyle =
  TextStyle(fontWeight: FontWeight.normal, color: AppColours.black);

  // Activity attendance

  static const TextStyle activityAttendanceTextStyle =
  TextStyle(fontWeight: FontWeight.normal, fontSize: 16, color: AppColours.black);

  // Activity figures

  static const TextStyle activityAddFiguresListNameTextStyle =
  TextStyle(fontWeight: FontWeight.normal, fontSize: 16, color: AppColours.blue);

  static const TextStyle activityFiguresListNameTextStyle =
  TextStyle(fontWeight: FontWeight.normal, fontSize: 16, color: AppColours.blue);

  static const TextStyle activityFiguresAssignPeopleNickNameTimeStyle =
  TextStyle(fontSize: 16, fontWeight: FontWeight.normal, color: AppColours.black);
  static const TextStyle activityFiguresAssignPeopleUsedInTimeStyle =
  TextStyle(fontSize: 14, fontWeight: FontWeight.normal, color: AppColours.gray);

  // Notifications

  static const TextStyle notificationListTileTypeInformativeStyle =
  TextStyle(fontSize: 14, fontWeight: FontWeight.bold, color: AppColours.red);

  // Profile

  static const TextStyle profileStandardMemberColouredTextStyle =
  TextStyle(fontWeight: FontWeight.normal, fontSize: 16, color: AppColours.blue, height: 2);

  static const TextStyle profileManagerColouredTextStyle =
  TextStyle(fontWeight: FontWeight.normal, fontSize: 16, color: AppColours.purple, height: 2);

  // People list

  static const TextStyle peopleListStandardMemberColouredTextStyle =
  TextStyle(fontWeight: FontWeight.normal, fontSize: 14, color: AppColours.blue, height: 2);

  static const TextStyle peopleListManagerColouredTextStyle =
  TextStyle(fontWeight: FontWeight.normal, fontSize: 14, color: AppColours.purple, height: 2);

  // Catalogue figures

  static const TextStyle catalogueColouredTextStyle =
  TextStyle(fontWeight: FontWeight.normal, fontSize: 16, color: AppColours.blue, height: 2);

}