/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

class AppTexts {
  static final appTitle = "MuixApp";

  // login page texts

  static final loginEmailHint = "correu electrònic";
  static final loginPasswordHint = "contrasenya";
  static final loginLoginButtonCaption = "iniciar sessió";
  static final loginForgotEmailPasswordCaption = "Has oblidat la contrasenya?";
  static final loginRegisterButtonCaption = "crear un compte";

  // register page texts

  static final registerFirstName = "Nom";
  static final registerFirstNameHint = registerFirstName.toLowerCase();
  static final registerLastName = "Cognoms";
  static final registerLastNameHint = registerLastName.toLowerCase();
  static final registerNickName = "Nom en la colla";
  static final registerNickNameHint = "(el teu malnom)";

  static final registerMobilePhone = "Telèfon mòbil";
  static final registerMobilePhoneHint = registerMobilePhone.toLowerCase();
  static final registerEmail = "Correu electrònic";
  static final registerEmailHint = registerEmail.toLowerCase();
  static final registerPassword = "Contrasenya";
  static final registerPasswordHint = registerPassword.toLowerCase();
  static final registerRepeatPassword = "Repetiu contrasenya";
  static final registerRepeatPasswordHint = registerRepeatPassword.toLowerCase();
  static final registerRegisterButtonCaption = "crear un compte";

  // profile page texts

  static final profileBio = "Bio";
  static final profileContactData = "Dades de contacte";
  static final profileEmail = "A/e: ";
  static final profileMobilePhone = "Telf.: ";
  static final profileStandardRole = "Membre de la colla";
  static final profileManagerRole = "Equip de coordinació";
  static final profileTrainerRole = "Àrea tècnica";
  static final profileNoBioText = "no ha completat encara la biografia breu al seu perfil de membre de la colla.";

  // catalogue figure texts

  static final catalogueFigureNavigation = "Fitxa de figura";
  static final catalogueFigureMoreInfoURL = "Més informació";


  // authentication texts

  static final authenticationDifferentPasswords = "Els valors de les contrasenyes no coindideixen. Comprova-les, per favor.";
  static final authenticationEmptyFirstName = "Introdueix un nom, per favor.";
  static final authenticationEmptyLastName = "Introdueix uns cognoms, per favor.";
  static final authenticationEmptyNickName = "Introdueix un malnom, per favor. És el que t'identificarà en els diagrames de les figures.";
  static final authenticationEmptyMobilePhone ="Introdueix un telèfon mòbil, per favor.";
  static final authenticationEmailAlreadyInUse = "L'adreça de correu electrònic que has proporcionat ja s'està usant en un altre compte d'usuari/ària.";
  static final authenticationMissingEmail = "Introdueix una adreça de correu electrònic, per favor.";
  static final authenticationGenericError = "S'ha produït un error d'autenticació.";
  static final authenticationInvalidEmail = "L'adreça de correu electrònic que has proporcionat és invàlida.";
  static final authenticationUserNotFound = "Identificació incorrecta. Comprova per favor que l'adreça de correu electrònic i la contrasenya són correctes.";
  static final authenticationWeakPassword = "La contrasenya que has proporcionat ha de tenir almenys 6 caracters.";
  static final authenticationWrongPassword = "La contrasenya que has proporcionat és invàlida.";
  static final authenticationNoAccess = "No tens accés a aquesta pàgina.";
  static final authenticationNoAccessNoLoggedInUser = "Clica el botó per a tornar a identificar-te en l'aplicació.";
  static final authenticationNoAccessBackToLoginButtonCaption = "Identificació d'usuari/ària";
  static final authenticationLogoutButtonCaption ="Tancar la sessió d'usuari/ària";

  // page titles

  static final activitiesPageTitle = "Activitats";
  static final teamPageTitle = "Colla";
  static final cataloguePageTitle = "Catàleg";
  static final messagesPageTitle = "Missatges";
  static final profilePageTitle = "Tu";
  static final notificationsPageTitle ="Notificacions";
  static final activityPageTitle = "Activitat";

  // main navigation

  static final activitiesNavigation = "Activitats";
  static final teamNavigation = "Colla";
  static final catalogueNavigation = "Catàleg";
  static final messagesNavigation = "Missatges";
  static final profileNavigation = "Tu";

  // activity types

  static final trainingActivityType ="Assaig";
  static final showActivityType ="Actuació";
  static final educationalActivityType ="Formació";
  static final socialActivityType ="Social";

  static final informativeNotificationType ="Info";

  // activity RSVP answers

  static final notAttendingActivity ="No vaig";
  static final maybeAttendingActivity ="Potser";
  static final attendingActivity ="Vaig";
  static final notAttendingActivityOthers ="No va";
  static final attendingActivityOthers ="Va";

  // activity attendance list texts

  static final activityAttendanceNoFeedbackMenuItem ="Encara no hi ha cap disponibilitat confirmada per a aquesta activitat.";

  // activity figures list texts

  static final activityFiguresNoFiguresMenuItem ="Encara no s'ha afegit cap figura a aquesta activitat.";
  static final activityFigureAddNoFiguresMenuItem ="No hi ha cap figura disponible per a aquesta activitat.";

  // activity options action texts

  static final activityUpdateMenuItem = "Modificar activitat";
  static final activityDeleteMenuItem ="Esborrar activitat";
  static final activityAttendanceMenuItem = "Veure persones";
  static final activityFiguresMenuItem = "Veure figures";

  // activity figure options action texts

  static final activityFigureAssignPeopleMenuItem = "Assignar persones";
  static final activityFigureMoveFigureUpMenuItem = "Pujar figura";
  static final activityFigureMoveFigureDownMenuItem = "Baixar figura";
  static final activityFigureDeleteFigureMenuItem = "Esborrar figura";

  // activity figure add/remove people list

  static final activityFigureAddRemovePeopleSingular = "figura";
  static final activityFigureAddRemovePeoplePlural = "figures";

  // activity figure add people to position

  static final activityFigureAddPeoplePositionText = "Número de posició en la figura";
  static final activityFigureAddPeoplePositionHint = "(1, 2,...)";
  static final activityFigureAddPeoplePositiveNumberExpected = "Introdueix un valor numèric positiu, per favor.";

  // activity figures list options action texts

  static final activityFiguresListAddFigureMenuItem = "Afegir figura";
  static final activityFiguresListAvailablePeopleMenuItem = "Persones disponibles";
  static final activityFiguresListFigureDiagramsMenuItem = "Diagrames de figures";

  // activity available people texts

  static final activityAvailablePeopleBackMenuItem ="Veure figures";
  static final activityAvailablePeopleNoPeopleMenuItem ="No hi ha ningú disponible per a aquesta activitat.";

  // async operations texts

  static final futureLoading = "Espereu un moment";
  static final futureError = "Hi ha hagut un error";

  // navigation texts

  static final backAppMainBarNavigation = "Tornar";

}