/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:muixapp/src/models/activity_figure_model.dart';
import 'package:muixapp/src/models/figure_model.dart';
import 'package:muixapp/src/ui/resources/resources.dart';
import 'package:photo_view/photo_view.dart';

class ActivityFigureDiagram extends StatelessWidget {
  final FigureModel figureModel;
  final ActivityFigureModel activityFigureModel;
  const ActivityFigureDiagram({required this.figureModel, required this.activityFigureModel, Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ClipRect(
      child: PhotoView.customChild(
        child: Container(
          decoration:
          const BoxDecoration(color: AppColours.white),
          padding: const EdgeInsets.all(10.0),
          child:SvgPicture.string(
              labelDiagram()
          ),
          //Text(figureModel.name),
        ),
      ),
    );
  }

  String labelDiagram() {
    String newSvgDiagram=figureModel.diagram.replaceAll('\n','');
    String nickName="";
    String position="";

    Map<String,dynamic> attendeeMap;

    activityFigureModel.attendees.forEach((key, value) {
      attendeeMap=value;
      attendeeMap.forEach((attendeeKey,attendeeValue) {
        switch (attendeeKey){
          case "nickname": nickName=attendeeValue; break;
          case "position": position=attendeeValue.toString(); break;
        }
      });
      newSvgDiagram=newSvgDiagram.replaceFirst('[$position]','$nickName');
    });
    return newSvgDiagram;
  }

}
