/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:flutter/material.dart';
import 'package:muixapp/src/models/activity_figure_model.dart';
import 'package:muixapp/src/models/activity_model.dart';
import 'package:muixapp/src/ui/resources/resources.dart';

import 'activity_type_mini_icon.dart';
import 'activity_type_text.dart';

class ActivityFigureInfoBar extends StatefulWidget {
  final ActivityModel activityModel;
  final ActivityFigureModel activityFigureModel;

  const ActivityFigureInfoBar({required this.activityModel, required this.activityFigureModel, Key? key})
      : super(key: key);

  @override
  _ActivityFigureInfoBarState createState() =>
      _ActivityFigureInfoBarState(this.activityModel, this.activityFigureModel);
}

class _ActivityFigureInfoBarState extends State<ActivityFigureInfoBar> {
  final ActivityModel activityModel;
  final ActivityFigureModel activityFigureModel;

  _ActivityFigureInfoBarState(this.activityModel, this.activityFigureModel);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.all(10),
      decoration: BoxDecoration(color: AppColours.lightGray),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.start,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          ActivityTypeMiniIcon(activityModel.type),
          Column(
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              SizedBox(height: 3),
            Row(
              mainAxisAlignment: MainAxisAlignment.start,
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
              ActivityTypeText(activityModel.type),
              SizedBox(width: 20),
              Text(
                activityModel.dateTime + " h",
                style: TextStyle(
                  color: AppColours.gray,
                ),
              ),
            ],),
              Text(activityFigureModel.order.toString()+" - "+activityFigureModel.name.toUpperCase()),
          ],),
        ],
      ),
    );
  }
}
