/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:flutter/material.dart';
import 'package:muixapp/src/models/activity_figure_model.dart';
import 'package:muixapp/src/models/activity_model.dart';
import 'package:muixapp/src/providers/authentication_provider.dart';
import 'package:muixapp/src/ui/pages/activities/activity_figure_assign_people.dart';
import 'package:muixapp/src/ui/resources/resources.dart';
import 'package:provider/provider.dart';

class ActivityFigureOptionsAction extends StatefulWidget {
  final ActivityModel activityModel;
  final ActivityFigureModel activityFigureModel;
  const ActivityFigureOptionsAction({required this.activityModel, required this.activityFigureModel, Key? key}) : super(key: key);

  @override
  _ActivityFigureOptionsActionState createState() => _ActivityFigureOptionsActionState(this.activityModel,this.activityFigureModel);
}

class _ActivityFigureOptionsActionState extends State<ActivityFigureOptionsAction> {

  final ActivityModel activityModel;
  final ActivityFigureModel activityFigureModel;

  _ActivityFigureOptionsActionState(this.activityModel,this.activityFigureModel);

  late AuthenticationProvider authenticationProvider;
  @override
  void didChangeDependencies() {
    super.didChangeDependencies();
    authenticationProvider = Provider.of<AuthenticationProvider>(context);
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      child: PopupMenuButton(
        icon: AppIcons.optionsMenuIcon,
        itemBuilder: (context) =>[
          PopupMenuItem(
            value: 1,
            child: Text(AppTexts.activityFigureAssignPeopleMenuItem),
            enabled: authenticationProvider.isTrainer(),
          ),
          PopupMenuItem(
            value: 2,
            child: Text(AppTexts.activityFigureMoveFigureUpMenuItem),
            enabled: false,
          ),
          PopupMenuItem(
            value: 3,
            child: Text(AppTexts.activityFigureMoveFigureDownMenuItem),
            enabled: false,
          ),
          PopupMenuItem(
            value: 4,
            child: Text(AppTexts.activityFigureDeleteFigureMenuItem),
            enabled: false,
          ),
        ],
        onSelected: (value){
          switch (value){
            case 1:

              Navigator.push(context,
                MaterialPageRoute(
                    builder: (context) => ActivityFigureAssignPeople(
                        activityModel: this.activityModel,
                        activityFigureModel: this.activityFigureModel),
                  settings: RouteSettings(name:"assignPeople"),
                ),
              ).then((value) => setState((){}));

              break;
            case 2:
              /*
              Navigator.push(context,
                MaterialPageRoute(builder: (context) => ActivityAttendanceList(activityModel: this.activityModel)),
              ).then((value) => setState((){}));
              */
              break;
          }
        },
      ),
    );
  }
}
