/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:flutter/material.dart';
import 'package:muixapp/src/models/activity_model.dart';
import 'package:muixapp/src/providers/providers.dart';
import 'package:muixapp/src/ui/pages/activities/activity_add_figure.dart';
import 'package:muixapp/src/ui/pages/activities/activity_available_people_list.dart';
import 'package:muixapp/src/ui/resources/resources.dart';
import 'package:provider/provider.dart';

class ActivityFiguresListOptionsAction extends StatefulWidget {

  final ActivityModel activityModel;
  const ActivityFiguresListOptionsAction({required this.activityModel, Key? key}) : super(key: key);

  @override
  _ActivityFiguresListOptionsActionState createState() => _ActivityFiguresListOptionsActionState(this.activityModel);
}

class _ActivityFiguresListOptionsActionState extends State<ActivityFiguresListOptionsAction> {

  final ActivityModel activityModel;

  _ActivityFiguresListOptionsActionState(this.activityModel);

  late AuthenticationProvider authenticationProvider;
  @override
  void didChangeDependencies() {
    super.didChangeDependencies();
    authenticationProvider = Provider.of<AuthenticationProvider>(context);
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      child: PopupMenuButton(
        icon: AppIcons.optionsMenuIcon,
        itemBuilder: (context) =>[
          PopupMenuItem(
            value: 1,
            child: Text(AppTexts.activityFiguresListAddFigureMenuItem),
            enabled: authenticationProvider.isTrainer(),
          ),
          PopupMenuItem(
            value: 2,
            child: Text(AppTexts.activityFiguresListAvailablePeopleMenuItem),
          ),
          PopupMenuItem(
            value: 3,
            child: Text(AppTexts.activityFiguresListFigureDiagramsMenuItem),
            enabled: false,
          ),
        ],
        onSelected: (value){
          switch (value){
            case 1:
              Navigator.push(context,
                MaterialPageRoute(builder: (context) => ActivityAddFigure(activityModel: this.activityModel)),
              ).then((value) => setState((){}));
              break;
            case 2:
              Navigator.push(context,
                MaterialPageRoute(builder: (context) => ActivityAvailablePeopleList(activityModel: this.activityModel)),
              ).then((value) => setState((){}));
              break;
          }
        },
      ),
    );
  }
}
