/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:flutter/material.dart';
import 'package:muixapp/src/models/activity_model.dart';
import 'package:muixapp/src/ui/resources/resources.dart';

import 'activity_type_mini_icon.dart';
import 'activity_type_text.dart';

class ActivityInfoBar extends StatefulWidget {
  final ActivityModel activityModel;

  const ActivityInfoBar({required this.activityModel, Key? key})
      : super(key: key);

  @override
  _ActivityInfoBarState createState() =>
      _ActivityInfoBarState(this.activityModel);
}

class _ActivityInfoBarState extends State<ActivityInfoBar> {
  final ActivityModel activityModel;

  _ActivityInfoBarState(this.activityModel);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: EdgeInsets.all(10),
      decoration: BoxDecoration(color: AppColours.lightGray),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.start,
        children: [
          ActivityTypeMiniIcon(activityModel.type),
          ActivityTypeText(activityModel.type),
          SizedBox(width: 20),
          Text(
            activityModel.dateTime + " h",
            style: TextStyle(
              color: AppColours.gray,
            ),
          ),
        ],
      ),
    );
  }
}
