/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:flutter/material.dart';
import 'package:muixapp/src/ui/resources/resources.dart';

final Map<String,String> activityTexts = {
  'ass': AppTexts.trainingActivityType.toUpperCase(),
  'act': AppTexts.showActivityType.toUpperCase(),
  'for': AppTexts.educationalActivityType.toUpperCase(),
  'soc': AppTexts.socialActivityType.toUpperCase(),
};

final Map<String,TextStyle> activityStyles = {
  'ass': AppStyles.activityListTileTypeTrainingStyle,
  'act': AppStyles.activityListTileTypeShowStyle,
  'for': AppStyles.activityListTileTypeEducationalStyle,
  'soc': AppStyles.activityListTileTypeSocialStyle,
};

class ActivityTypeText extends Text{
  final String type;

  ActivityTypeText(this.type):super(
      activityTexts[type] ?? "",
      style: activityStyles[type],
  );
}