/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:flutter/material.dart';
import 'package:muixapp/src/models/activity_model.dart';
import 'package:muixapp/src/ui/pages/activities/activity_figures_list.dart';
import 'package:muixapp/src/ui/pages/activities/activity_attendance_list.dart';
import 'package:muixapp/src/ui/resources/resources.dart';

class OptionsAction extends StatefulWidget {

  final ActivityModel activityModel;
  const OptionsAction({required this.activityModel, Key? key}) : super(key: key);

  @override
  _OptionsActionState createState() => _OptionsActionState(this.activityModel);
}

class _OptionsActionState extends State<OptionsAction> {

  final ActivityModel activityModel;

  _OptionsActionState(this.activityModel);

  @override
  Widget build(BuildContext context) {
    return Container(
      child: PopupMenuButton(
        icon: AppIcons.optionsMenuIcon,
        itemBuilder: (context) =>[
          PopupMenuItem(
            value: 1,
            child: Text(AppTexts.activityUpdateMenuItem),
            enabled: false,
          ),
          PopupMenuItem(
            value: 2,
            child: Text(AppTexts.activityDeleteMenuItem),
            enabled: false,
          ),
          PopupMenuItem(
            value: 3,
            child: Text(AppTexts.activityFiguresMenuItem),
            enabled: (activityModel.type==AppConstants.rehearsalActivity || activityModel.type==AppConstants.performanceActivity),
          ),
          PopupMenuItem(
            value: 4,
            child: Text(AppTexts.activityAttendanceMenuItem),
          ),
        ],
        onSelected: (value){
          switch (value){
            case 3:
              Navigator.push(context,
                MaterialPageRoute(builder: (context) => ActivityFiguresList(activityModel: this.activityModel)),
              ).then((value) => setState((){}));
              break;
            case 4:
              Navigator.push(context,
                MaterialPageRoute(builder: (context) => ActivityAttendanceList(activityModel: this.activityModel)),
              ).then((value) => setState((){}));
              break;
          }
        },
      ),
    );
  }
}
