/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:muixapp/src/providers/providers.dart';
import 'package:muixapp/src/ui/pages/authentication/login.dart';
import 'package:muixapp/src/ui/resources/resources.dart';
import 'package:provider/provider.dart';

class Logout extends StatefulWidget {
  const Logout({Key? key}) : super(key: key);

  @override
  _LogoutState createState() => _LogoutState();
}

class _LogoutState extends State<Logout> {

  late PreferencesProvider preferencesProvider;
  late AuthenticationProvider authenticationProvider;

  @override
  void didChangeDependencies() {
    super.didChangeDependencies();
    preferencesProvider = Provider.of<PreferencesProvider>(context);
    authenticationProvider = Provider.of<AuthenticationProvider>(context);
  }

  @override
  Widget build(BuildContext context) {

    return Container(
      margin: EdgeInsets.all(10),
      child: Center(
        child: Column(
          children: [
            // logout button
            TextButton(
              style: TextButton.styleFrom(
                backgroundColor: AppColours.blue,
                minimumSize: Size(230, 30),
              ),
              onPressed: () async {

                  authenticationProvider.logout();
                  preferencesProvider.removeAllKeys();

                  Navigator.pushReplacement(
                    context,
                    MaterialPageRoute(builder: (context) => Login()),
                  );
              },
              child: Text(
                AppTexts.authenticationLogoutButtonCaption,
                style: TextStyle(
                  fontSize: 16,
                  fontWeight: FontWeight.bold,
                  color: AppColours.white,
                  height: 1,
                ),
              ),
            )
          ],
        ),
      ),
    );
  }
}
