/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:muixapp/src/ui/pages/authentication/login.dart';
import 'package:muixapp/src/ui/resources/resources.dart';

class NoAccessNoLoggedInUser extends StatefulWidget {
  const NoAccessNoLoggedInUser({Key? key}) : super(key: key);

  @override
  _NoAccessNoLoggedInUserState createState() => _NoAccessNoLoggedInUserState();
}

class _NoAccessNoLoggedInUserState extends State<NoAccessNoLoggedInUser> {
  @override
  Widget build(BuildContext context) {

    return Container(
      margin: EdgeInsets.all(10),
      child: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            Text(AppTexts.authenticationNoAccessNoLoggedInUser),
            SizedBox(
              height: 20,
            ),

            // back to login button
            TextButton(
              style: TextButton.styleFrom(
                backgroundColor: AppColours.blue,
                minimumSize: Size(230, 30),
              ),
              onPressed: () async {
                  Navigator.pushReplacement(
                    context,
                    MaterialPageRoute(builder: (context) => Login()),
                  );
              },
              child: Text(
                AppTexts.authenticationNoAccessBackToLoginButtonCaption,
                style: TextStyle(
                  fontSize: 16,
                  fontWeight: FontWeight.bold,
                  color: AppColours.white,
                  height: 1,
                ),
              ),
            )
          ],
        ),
      ),
    );
  }
}
