/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:muixapp/src/models/figure_model.dart';
import 'package:muixapp/src/ui/resources/resources.dart';
import 'package:photo_view/photo_view.dart';

class FigureDiagramWidget extends StatelessWidget {
  final FigureModel figureModel;
  const FigureDiagramWidget({required this.figureModel, Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ClipRect(
      child: PhotoView.customChild(
        child: Container(
          decoration:
          const BoxDecoration(color: AppColours.white),
          padding: const EdgeInsets.all(10.0),
          child:SvgPicture.string(
              figureModel.diagram.replaceAll('\n','')
          ),
          //Text(figureModel.name),
        ),
      ),
    );
  }
}
