/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:flutter/material.dart';
import 'package:muixapp/src/models/figure_model.dart';
import 'package:muixapp/src/ui/pages/catalogue/figure.dart';
import 'package:muixapp/src/ui/resources/resources.dart';

class FiguresListTile extends Container {
  FiguresListTile(FigureModel figureModel, BuildContext context)
      : super(
          height: 90,
          color: AppColours.lightGray,
          padding: EdgeInsets.fromLTRB(10, 5,0,5),
          child: Column(
            children: [
              Row(
                children: [
                  // Left column - Icon
                  AppIcons.activityFigure,
                  Flexible(
                    fit: FlexFit.tight,
                    child: Container(
                        margin: EdgeInsets.symmetric(vertical: 5.0),
                        height: 70,
                        child: Column(
                            mainAxisAlignment: MainAxisAlignment.start,
                            crossAxisAlignment: CrossAxisAlignment.start,
                            children: [
                              Text(
                                figureModel.name.toUpperCase(),
                                style: AppStyles.activityAddFiguresListNameTextStyle,
                              ),
                              SizedBox(height: 5),
                              (figureModel.version.isNotEmpty
                                  ? Text(
                                  figureModel.version,
                                  overflow: TextOverflow.ellipsis,
                                  maxLines: 1)
                                  : SizedBox.shrink()),
                              Text(figureModel.team),
                            ])),
                  ),
                  IconButton(
                    icon: AppIcons.goToPageIcon,
                    onPressed: () {

                      Navigator.push(
                        context,
                        MaterialPageRoute(builder: (context) {
                          return Figure(
                            figureModel: figureModel,
                          );
                        }),
                      );

                    },
                  ),
                ],
              ),
            ],
          ),
        );
}

