/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:flutter/material.dart';
import 'package:muixapp/src/ui/resources/resources.dart';
import 'package:muixapp/src/ui/widgets/notifications/notifications_action.dart';

class AppMainBar extends AppBar {
  final List<Widget>? barActions;
  AppMainBar({this.barActions}):super(
      automaticallyImplyLeading: false,
      backgroundColor: AppColours.lightGray,
      foregroundColor: AppColours.blue,
      title: Text(AppTexts.appTitle, style: AppStyles.appTitleTextStyle),
      centerTitle: true,
      actionsIconTheme: IconThemeData(
        color: AppColours.gray,
      ),
      actions: (barActions ?? <Widget>[
        NotificationAction(),
      ]
      ),
    );
}

/*

<Widget>[
        IconButton(
          icon: Icon(Icons.person),
          onPressed: () => null,
        ),
        IconButton(
          icon: Icon(Icons.notifications),
          onPressed: () => null,
        ),
      ]
* */
