/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:flutter/material.dart';
import 'package:material_design_icons_flutter/material_design_icons_flutter.dart';
import 'package:muixapp/src/ui/pages/pages.dart';
import 'package:muixapp/src/ui/resources/resources.dart';

class AppMainNavigation extends StatefulWidget {
  const AppMainNavigation({Key? key}) : super(key: key);
  
  @override
  _AppMainNavigationState createState() => _AppMainNavigationState();
}

class _AppMainNavigationState extends State<AppMainNavigation> {

  int _selectedIndex=0;

  void _onItemTapped(int index) {
    setState(() {
      _selectedIndex = index;
      switch (index){
        case 0:
          Navigator.push(
            context,
            MaterialPageRoute(
              builder: (context) => ActivitiesList(),
            ),
          );
          break;
        case 1:
          Navigator.push(
            context,
            MaterialPageRoute(
              builder: (context) => PeopleList(),
            ),
          );
          break;
        case 2:
          Navigator.push(
            context,
            MaterialPageRoute(
              builder: (context) => FiguresList(),
            ),
          );
          break;
        case 3:
          Navigator.push(
            context,
            MaterialPageRoute(
              builder: (context) => MessagesList(),
            ),
          );
          break;
        case 4:
          Navigator.push(
            context,
            MaterialPageRoute(
              builder: (context) => Profile(),
            ),
          );
          break;
      }
    });
  }

  @override
  Widget build(BuildContext context) {

    return BottomNavigationBar(
      type: BottomNavigationBarType.fixed,
      selectedLabelStyle: AppStyles.navigationSelectedLabelStyle,
      unselectedLabelStyle: AppStyles.navigationUnselectedLabelStyle,
      items: <BottomNavigationBarItem>[
        BottomNavigationBarItem(
          icon: Icon(MdiIcons.calendar),
          label: AppTexts.activitiesNavigation,
        ),
        BottomNavigationBarItem(
          icon: Icon(MdiIcons.accountMultiple),
          label: AppTexts.teamNavigation,
        ),
        BottomNavigationBarItem(
          icon: Icon(MdiIcons.school),
          label: AppTexts.catalogueNavigation,
        ),
        BottomNavigationBarItem(
          icon: Icon(MdiIcons.email),
          label: AppTexts.messagesNavigation,
        ),
        BottomNavigationBarItem(
          icon: Icon(MdiIcons.account),
          label: AppTexts.profileNavigation,
        ),
      ],
      currentIndex: _selectedIndex,
      selectedItemColor: AppColours.blue,
      onTap: _onItemTapped,
    );
  }
}

/*
class AppBottomNavigationButtonBar extends StatelessWidget {
  const AppBottomNavigationButtonBar({Key? key}) : super(key: key);

  int _selectedIndex = 0;

  void _onItemTapped(int index) {
    setState(() {
      _selectedIndex = index;
    });
  }

  @override
  Widget build(BuildContext context) {
    return BottomNavigationBar(
      items: const <BottomNavigationBarItem>[
        BottomNavigationBarItem(
          icon: Icon(Icons.home),
          label: 'Home',
        ),
        BottomNavigationBarItem(
          icon: Icon(Icons.business),
          label: 'Business',
        ),
        BottomNavigationBarItem(
          icon: Icon(Icons.school),
          label: 'School',
        ),
      ],
      currentIndex: 1,
      selectedItemColor: Colors.amber[800],
      onTap: _onItemTapped,
    ),
*/
/*    return Container(
      child: ButtonBar(
        alignment: MainAxisAlignment.spaceEvenly,
        children: <Widget>[
          TextButton.icon(
              onPressed: (){},
              icon: Icon(MaterialIcons.event),
              label: Text('Activitats')),
        ],
      )
    );*//*

  }
}
*/
