/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:flutter/material.dart';
import 'package:muixapp/src/ui/resources/resources.dart';
import 'package:muixapp/src/ui/widgets/notifications/notifications_action.dart';

class AppPageBar extends AppBar {
  final String? leadingText;
  final List<Widget>? barActions;

  AppPageBar({this.leadingText, this.barActions}):super(
    automaticallyImplyLeading: true,
    backgroundColor: AppColours.lightGray,
    foregroundColor: AppColours.gray,
    leading: BackButton(
      color: AppColours.gray,
    ),
    title: Text(leadingText!,style: AppStyles.appPageBarLeadingLabelStyle,),
    centerTitle: false,
    actionsIconTheme: IconThemeData(
      color: AppColours.gray,
    ),
    actions: (barActions ?? <Widget>[
      NotificationAction(),
    ]
    ),
  );
}