/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:badges/badges.dart';
import 'package:cloud_firestore/cloud_firestore.dart';
import 'package:flutter/material.dart';
import 'package:muixapp/src/providers/providers.dart';
import 'package:muixapp/src/ui/pages/notifications/notifications_list.dart';
import 'package:muixapp/src/ui/resources/resources.dart';
import 'package:provider/provider.dart';

class NotificationAction extends StatefulWidget {
  const NotificationAction({Key? key}) : super(key: key);

  @override
  _NotificationActionState createState() => _NotificationActionState();
}

class _NotificationActionState extends State<NotificationAction> {

  int counter=0;

  late NotificationsProvider notificationsProvider;

  @override
  void initState() {
    super.initState();
  }

  @override
  void didChangeDependencies() {
    super.didChangeDependencies();
    notificationsProvider = Provider.of<NotificationsProvider>(context);
  }

  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {

    return StreamBuilder(
      stream: notificationsProvider.getActiveNotificationsStream(),
      builder: (BuildContext context, AsyncSnapshot<QuerySnapshot> snapshot){
        if (snapshot.hasData) {
          counter=snapshot.data!.size;
          if (counter==0)
            return IconButton(
              icon: AppIcons.notificationsBell,
              onPressed: () {},
            );
          else
            return Badge(
              position: BadgePosition.topEnd(top: 5, end: 5),
              animationDuration: Duration(milliseconds: 300),
              animationType: BadgeAnimationType.slide,
              badgeContent: Text((counter<10 ? counter.toString() : '9+'),
                  style: TextStyle(color: Colors.white,fontSize: 10,fontWeight: FontWeight.bold)
              ),
              child: IconButton(
                icon: AppIcons.notificationsBell,
                onPressed: () {

                  Navigator.push(
                    context,
                    MaterialPageRoute(builder: (context) => NotificationsList()),
                  ).then((value) => setState((){}));

                },
              ),
            );
        } else if (snapshot.hasError) {

        }
        return CircularProgressIndicator();
      }
    );
/*
    counter=notificationsProvider.countActiveNotifications();

    if (counter==0)
      return IconButton(
        icon: Icon(MdiIcons.bell),
        onPressed: () {},
      );
    else
      return Badge(
        position: BadgePosition.topEnd(top: 5, end: 5),
        animationDuration: Duration(milliseconds: 300),
        animationType: BadgeAnimationType.slide,
        badgeContent: Text((counter<10 ? counter.toString() : '9+'),
          style: TextStyle(color: Colors.white,fontSize: 10,fontWeight: FontWeight.bold)
        ),
        child: IconButton(
          icon: Icon(MdiIcons.bell),
          onPressed: () {

            Navigator.push(
              context,
              MaterialPageRoute(builder: (context) => NotificationsList()),
            ).then((value) => setState((){}));

          },
        ),
      );
    */
  }
}

