/// MuixApp
///
/// Prototipus d’aplicació mòbil Android/iOS per a la gestió d’assajos, actuacions i catàlegs de figures de colles muixerangueres.
///
/// Grau en Enginyeria Informàtica.
/// Treball Final de Grau. Àrea Desenvolupament multiplataforma d'aplicacions mòbils.
/// Universitat Oberta de Catalunya.
/// Curs 2021-22.
///
/// Estudiant: Hèctor Rubio i Marín (hrubio@uoc.edu)
///
/// MIT License
/// Copyright (c) 2021 Hèctor Rubio i Marín

import 'package:flutter/material.dart';
import 'package:muixapp/src/models/profile_model.dart';
import 'package:muixapp/src/ui/pages/people/people_profile.dart';
import 'package:muixapp/src/ui/resources/resources.dart';

class PeopleListTile extends Container {
  PeopleListTile(ProfileModel profileModel, BuildContext context)
      : super(
          height: 90,
          color: AppColours.lightGray,
          padding: EdgeInsets.fromLTRB(10, 0, 0, 0),
          child: Row(
            mainAxisAlignment: MainAxisAlignment.start,
            children: [
              // Left column - Icon
              (profileModel.isManager
                  ? AppIcons.profileManager
                  : AppIcons.profileStandardMember),
              Flexible(
                fit: FlexFit.tight,
                child: Container(
                    //height: 70,
                    child: Column(
                      mainAxisAlignment: MainAxisAlignment.start,
                      crossAxisAlignment: CrossAxisAlignment.start,
                      children: [
                        SizedBox(height: 10,),
                        Text(
                            (profileModel.isManager || profileModel.isTrainer
                                ? (profileModel.isTrainer
                                    ? AppTexts.profileTrainerRole
                                    : AppTexts.profileManagerRole)
                                : AppTexts.profileStandardRole),
                            style: (profileModel.isManager ||
                                    profileModel.isTrainer
                                ? AppStyles.peopleListManagerColouredTextStyle
                                : AppStyles
                                    .peopleListStandardMemberColouredTextStyle)),
                        Text(
                          (profileModel.firstName.isNotEmpty
                              ? (profileModel.nickName==profileModel.firstName? profileModel.firstName: profileModel.firstName+' "'+profileModel.nickName+'"')
                              : ''),
                          style: AppStyles.standardTextStyle,
                        ),
                        Text(
                          (profileModel.lastName.isNotEmpty
                              ? profileModel.lastName.toUpperCase()
                              : ''),
                          style: AppStyles.standardTextStyle,
                        ),
                      ],
                    )),
              ),
              IconButton(
                icon: AppIcons.goToPageIcon,
                onPressed: () {

                      Navigator.push(
                        context,
                        MaterialPageRoute(builder: (context) {
                          return PeopleProfile(
                            profileModel: profileModel,
                          );
                        }),
                      );

                },
              ),
            ],
          ),
        );
}
